Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Typedefs | Functions
builtin.h File Reference

Go to the source code of this file.

## Data Structures
struct | rb_builtin_function
struct | builtin_binary

## Macros
#define | RB_BUILTIN_FUNCTION(_i, _name, _fname, _arity)

## Typedefs
typedef struct rb_execution_context_struct | rb_execution_context_t

## Functions
void | rb_load_with_builtin_functions (const char *feature_name, const struct rb_builtin_function *table)
VALUE | rb_vm_lvar_exposed (rb_execution_context_t *ec, int index)
| PUREFUNC (static inline VALUE rb_vm_lvar(rb_execution_context_t *ec, int index))

## Macro Definition Documentation

## ◆ RB_BUILTIN_FUNCTION

#define RB_BUILTIN_FUNCTION | ( |  | _i,
|  |  | _name,
|  |  | _fname,
|  |  | _arity
| ) |  |

Value:
{ \
.name = #_name, \
.func_ptr = (void *)_fname, \
.argc = _arity, \
.index = _i \
}

Definition at line 16 of file builtin.h.

## Typedef Documentation

## ◆ rb_execution_context_t

typedef struct rb_execution_context_struct rb_execution_context_t

Definition at line 26 of file builtin.h.

## Function Documentation

## ◆ PUREFUNC()

PUREFUNC | ( | static inline VALUE | rb_vm_lvarrb_execution_context_t *ec, int index | ) |

## ◆ rb_load_with_builtin_functions()

void rb_load_with_builtin_functions | ( | const char * | feature_name,
|  | const struct rb_builtin_function * | table
| ) |  |

Definition at line 39 of file builtin.c.

## ◆ rb_vm_lvar_exposed()

VALUE rb_vm_lvar_exposed | ( | rb_execution_context_t * | ec,
|  | int | index
| ) |  |

Definition at line 17141 of file rb_mjit_min_header-2.7.0.h.

References rb_execution_context_struct::cfp, cfp, rb_control_frame_struct::ep, and index.

index
int index
Definition: rb_mjit_min_header-2.7.0.h:11246
argc
int argc
Definition: ruby.c:222